<ion-header>
  <ion-navbar color="bluegreen">
    <ion-title>Signup</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="auth-page">
  
  <form [formGroup]="signupForm" (submit)="signupUser()" novalidate>
    <ion-item [class.invalid]="!signupForm.controls.email.valid && signupForm.controls.email.touched"
      [class.valid]="signupForm.controls.email.valid && signupForm.controls.email.touched">
      <ion-label color="light" floating>Email</ion-label>
      <ion-input formControlName="email" type="email" >
      </ion-input>
    </ion-item>
    <ion-item class="error-message" *ngIf="!signupForm.controls.email.valid &&
       signupForm.controls.email.touched">
      <p>Please enter a valid email address.</p>
    </ion-item>

    <ion-item [class.invalid]="!signupForm.controls.password.valid && signupForm.controls.password.touched"
      [class.valid]="signupForm.controls.password.valid && signupForm.controls.password.touched">
      <ion-label color="light" floating>Password</ion-label>
      <ion-input formControlName="password" type="password">
      </ion-input>
    </ion-item>
    <ion-item class="error-message" *ngIf="!signupForm.controls.password.valid
      && signupForm.controls.password.touched">
      <p>Your password needs more than 6 characters.</p>
    </ion-item>
<br>
<br>
<br>
<br>
    <button ion-button block round type="submit" [disabled]="!signupForm.valid">
      Create a new Account
    </button>
  </form>
</ion-content>